<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
    xmlns="http://www.w3.org/TR/REC-html40"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
		<head>
		</head>
			<xsl:apply-templates/>
		</html>
	</xsl:template>

	<xsl:template match="DATA">
		<body>
			<table>
				<xsl:apply-templates select="PARAMETER"/>
			</table>
			<xsl:apply-templates select="GRR"/>
		</body>
	</xsl:template>

	<xsl:template match="PARAMETER">
			<tr>
				<td>
					<b>
					<xsl:value-of select="NAME"/>
					</b>
				</td>
				<td>
					<b>
					<xsl:value-of select="VALUE"/>
					</b>
				</td>
			</tr>
		
		
	</xsl:template>	

	<xsl:template match="GRR">
		<table cellspacing="5">
			<tr><th colspan="11">Gage Repeatability and Reproductibilty Report</th></tr>
			<tr>
				<th><font color="lightgreen">Appraiser</font>/<font color="lightblue">Trial#</font></th>
				<th colspan="8">CHARACTERISTIC - <xsl:value-of select="Name"/></th>
			</tr>

			<xsl:apply-templates select="Appraiser"/>
			<tr><th colspan="11">--------------------------------</th></tr>
			
			<xsl:apply-templates select="PartAverage"/>
		</table>
		<br/><br/>
		<table cellspacing="10">
			<tr><th colspan="5">Gage Repeatability Summary</th></tr>
<!--
			<tr>
				<td>Part No. &amp; Name:</td>
				<td>Gage Name:</td>
				<td>Date:</td>
			</tr>
			<tr>
				<td>Characteristics:</td>
				<td>Gage No:</td>
				<td>Performed By:</td>
			</tr>
			<tr>
				<td>Specifications:</td>
				<td>Gage Type:</td>
				<td></td>
			</tr>
-->
			<tr>
				<th colspan="2">Measurement Unit Analysis</th>
				<th></th>
				<th colspan="1">%TV</th>
				<th colspan="1">%TOL</th>
			</tr>
			<tr>
				<td >Part Range (Rp) :</td>
				<td> <xsl:value-of select="Rp"/></td>
			</tr>
			<tr>
				<td>Appraiser Range (Xdiff) : </td>
				<td><xsl:value-of select="XDiff"/></td>
			</tr>
			<tr>
				<td>Appraiser Range Average (RBAR) : </td>
				<td><xsl:value-of select="RBar"/></td>
			</tr>
			<tr>
				<td>Reproductability - Equipment Variation (EV) :</td> 
				<td> <xsl:value-of select="EV"/></td>
				<td></td> 
<!--				<td>%EV/TV : </td> -->
				<td><xsl:value-of select="format-number(percentEV,00.0)"/>%</td>
<!--				<td>%EV/TOL :</td> -->
				<td> <xsl:value-of select="format-number(percentEVTOL,00.0)"/>%</td>

			</tr>
			<tr>
				<td>Reproductability - Appraiser Variation (AV) :</td> 
				<td> <xsl:value-of select="AV"/></td>
				<td></td> 
<!--				<td>%AV/TV : </td>  -->
				<td><xsl:value-of select="format-number(percentAV,00.0)"/>%</td>
<!--				<td>%AV/TOL : </td> -->
				<td><xsl:value-of select="format-number(percentAVTOL,00.0)"/>%</td>
			</tr>
			<tr>
				<td>Repeatability &amp; Reproductability (GRR) : </td> 
				<td><xsl:value-of select="GRR"/></td>
				<td></td> 
<!--				<td>%GRR/TV : </td> -->
				<td><xsl:value-of select="format-number(percentGRR,00.00)"/>%</td>
<!--				<td>%GRR/TOL : </td> -->
				<td><xsl:value-of select="format-number(percentGRRTOL,00.0)"/>%</td>
			</tr>
			<tr>
				<td>Part Variation (PV) : </td> 
				<td><xsl:value-of select="PV"/></td>
				<td></td> 
<!--				<td>%PV/TV : </td> -->
				<td><xsl:value-of select="format-number(percentPV,00.0)"/>%</td>
<!--				<td>%PV/TOL : </td> -->
				<td><xsl:value-of select="format-number(percentPVTOL,00.0)"/>%</td>
			</tr>
			<tr>
				<td>Total Variation (TV) : </td> 
				<td><xsl:value-of select="TV"/></td>
				<td></td>
			</tr>
			<tr>
				<td>Tolerance (TOL) : </td> 
				<td><xsl:value-of select="Tolerance"/></td>
				<td></td>
			</tr>
		</table>
		<br/><br/><br/>
	</xsl:template>	
	<xsl:template match="Appraiser">
		<tr> 
			<td bgcolor="lightgreen">
				<xsl:value-of select="Value"/>	
			</td>	
		</tr>
		<xsl:apply-templates select="Trial"/>
		<xsl:apply-templates select="AppraiserAverage"/>
		<xsl:apply-templates select="AppraiserRange"/>
	</xsl:template>	
	<xsl:template match="Trial">
		<tr>
			<td bgcolor="lightblue"><xsl:value-of select="position()"/></td>
			<xsl:for-each select="Value">
				<td bgcolor="lightgrey">
				
					<xsl:value-of select="."/>	
					
				</td>
			</xsl:for-each>
		</tr>
	</xsl:template>	

	<xsl:template match="AppraiserAverage">
		<tr>
			<td bgcolor="beige">Average</td>
			<xsl:for-each select="Value">
				<td>
					<b>
					<xsl:value-of select="."/>	
					</b>		
				</td>
			</xsl:for-each>
		</tr>
	</xsl:template>	
	<xsl:template match="AppraiserRange">
		<tr>
			<td bgcolor="beige">Range</td>
			<xsl:for-each select="Value">
				<td>
					<b>
					<xsl:value-of select="."/>
					</b>		
				</td>
			</xsl:for-each>
		</tr>
	</xsl:template>	

	<xsl:template match="PartAverage">
		<tr>
			<td>Part Average</td>
			<xsl:for-each select="Value">
				<td>
					<b>
					<xsl:value-of select="."/>
					</b>	
				</td>
			</xsl:for-each>
		</tr>
	</xsl:template>	
	
</xsl:stylesheet>