<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
    xmlns="http://www.w3.org/TR/REC-html40"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
		<head>
		</head>
			<xsl:apply-templates/>
		</html>
	</xsl:template>

	<xsl:template match="DATA">
	<body>
		<center> <b> <h1> Report </h1> </b> </center>
		<!--<table cellspacing = "25">-->

		<xsl:apply-templates select = "PARAMETER"/>

<!-- beg last result -->	
		<blockquote>
		<table border="0" cellspacing = "0" cellpadding = "5">
			<tr>
				<th bgcolor="yellow" colspan = "8"><center> Last Result</center> </th>
			</tr>
			<tr>
				<th bgcolor="lightblue"> NAME</th>
				<th bgcolor="lightblue"> VALUE</th>
				<th bgcolor="lightblue"> STATUS</th>
			</tr>
				<xsl:apply-templates  select = "RESULTDATETIME"/>
				<xsl:apply-templates select = "RESULTSTRING"/>
				<xsl:apply-templates mode = "LASTRESULT" select = "RESULTCHARACTERISTIC"/>
			<tr>
				
			</tr>
		</table>
		</blockquote>
<!-- end of result -->		

<!-- beg of result tolerance info -->	
		<p>		
		<blockquote>
		<table border="0" cellspacing = "0" cellpadding = "5">
			<tr>
				<th bgcolor="yellow" colspan = "8"><center> Tolerance Definition</center> </th>
			</tr>
			<tr>
				<th bgcolor="lightblue"> NAME</th>
				<th bgcolor="lightblue"> NOMINAL</th>
				<th bgcolor="lightblue"> LOWERTOL</th>
				<th bgcolor="lightblue"> UPPERTOL</th>
				<th bgcolor="lightblue"> GROUP</th>
				<th bgcolor="lightblue"> SPCLimit</th>
				<th bgcolor="lightblue"> WARNLimit</th>
				<th bgcolor="lightblue"> SCALE</th>
			</tr>
				<xsl:apply-templates   mode="TOLERANCES" select = "RESULTCHARACTERISTIC"/>
			<tr>
				
			</tr>
		</table>
		</blockquote>
		</p>
		
		<xsl:apply-templates select = "SLIDE"/>
<!-- end of result tolerance info -->		


<!-- beg sample sets-->	
		<table border="0" cellspacing = "0" cellpadding = "5">
			<tr>
				<th bgcolor="yellow" colspan = "8"><center> Sample Data </center> </th>
			</tr>
			<tr>
				<th bgcolor="lightblue"> NAME</th>
				<th bgcolor="lightblue"> XBAR</th>
				<th bgcolor="lightblue"> RANGE</th>
				<th bgcolor="lightblue"> SIGMA </th>
				<th bgcolor="lightblue" colspan="5"> DATA </th>
			</tr>
				<xsl:apply-templates select = "SAMPLESET"/>
		</table>
<!-- end of sub group data -->				
		

		<!--	</table>-->
	</body>
	</xsl:template>

	<xsl:template match="PARAMETER">
			<tr>
				<td>
					<b>
					<xsl:value-of select="Name"/>
					</b>
				</td>
				<td>
					<b>
					<xsl:value-of select="Value"/>
					</b>
				</td>
			
			</tr>
		
	</xsl:template>	
<!-- beg results as values-->

	<xsl:template mode="LASTRESULT" match="RESULTCHARACTERISTIC">
	<tr> 
		<td>
			<b>	<xsl:value-of select="Name"/>	</b>
		</td>
		<td>
			<xsl:value-of select="Value"/>
		</td>
		<td>
			<xsl:value-of select="Passed"/>
		</td>
	</tr>
	</xsl:template>	

<!-- end results as values-->

	<xsl:template mode="TOLERANCES" match="RESULTCHARACTERISTIC">
	<tr> 
		<td>
			<b>	<xsl:value-of select="Name"/>	</b>
		</td>
		<td>
			<xsl:value-of select="Nominal"/>
		</td>
		<td>
			<xsl:value-of select="LowerTolerance"/>
		</td>
		<td>
			<xsl:value-of select="UpperTolerance"/>
		</td>
		<td>
			<!--<xsl:value-of select="Group"/>-->
			<xsl:value-of select="format-number(Group,0)"/>
		</td>
		<td>
			<xsl:value-of select='format-number(SPCLimit,"#.00")'/>
		</td>
		<td>
			<xsl:value-of select='format-number(WarningLimit,"#.00")'/>
		</td>
		<td>
			<xsl:value-of select='format-number(ScaleFactor,"0.0000")'/>
		</td>
		
	</tr>
	</xsl:template>	

	
	<xsl:template match="RESULTSTRING">
	<tr> 
		<td>
			<b>	<xsl:value-of select="Name"/>	</b>
		</td>
		<td>
			<xsl:value-of select="Value"/>
		</td>
	</tr>
	</xsl:template>	
	
	<xsl:template match="RESULTDATETIME">
	<tr> 
		<td>
			<b>	<xsl:value-of select="Name"/>	</b>
		</td>
		<td>
			<xsl:value-of select="Value"/>
		</td>
	</tr>
	</xsl:template>	

	<xsl:template match="SLIDE">
		<tr>
<!-- comment out plots
			<td colspan="2" valign="top">
				<img src="{BACKGROUND}" alt="{BACKGROUND}"/>
			</td>
-->
		 </tr>
	</xsl:template>	
	
	
	<xsl:template match="SAMPLESET">
	<tr>
		<td><xsl:value-of select="Name"/>	</td>
		<td><xsl:value-of select="XBar"/>	</td>
		<td><xsl:value-of select="Range"/>	</td>
		<td><xsl:value-of select="Sigma"/>	</td>
		<td>
			<xsl:apply-templates select="POINTDATA"/>
		</td>
	</tr>
	</xsl:template>	
	
	<xsl:template match="POINTDATA">
		<xsl:for-each select="POINT">
			<td ><xsl:value-of select="VALUE"/></td>
		</xsl:for-each>	
	</xsl:template>	
	
</xsl:stylesheet>